Subject: Re: [MOBILE-IP] Dynamic Address Assignment in Mobile IP

From: Vipul Gupta <[email-masked]>
Date: Wed, 17 May 2000 09:30:25 -0700

Alim,

    You may also be interested in the DRCP work at Telecordia (formerly
  Bellcore) and Toshiba:

  http://search.ietf.org/internet-drafts/draft-itsumo-drcp-00.txt

  This draft "proposes an enhanced version of DHCP for roaming users"

  vipul

> > We were thinking of using DHCP with mobile IP and came across this thread.
> > I don't see a problem for a MN to  use DHCP to acquire an address directly.
> > DHCP DISCOVER is a broadcast message and need not be reverse tunneled to the
> > home network. All that is required is that the routers act as DHCP relay
> > agents so that the DHCP DISCOVER message reaches the DHCP server.
> >
> > I would very much appreciate any discussion on this issue.
> >
> > Thanks.
> >
> > ---Alim
> >
> > -----Original Message-----
> > From: Pete McCann [mailto:[email-masked]]
> > Sent: Tuesday, March 28, 2000 10:21 PM
> > To: [email-masked]
> > Subject: Re: [MOBILE-IP] Dynamic Address Assignment in Mobile IP
> >
> >
> >
> > There is nothing in the draft that precludes the Home Agent from using
> > DHCP to manage the address pool.  However I think there is a problem
> > if the MN tries to use DHCP directly to acquire an address.  The problem
> > is that the MN's DHCP DISCOVER message needs to be reverse-tunneled
> > to the home network *before* the MN has even acquired an IP address,
> > and the response needs to be properly encapsulated by the HA - essentially,
> > the FA and HA are acting in concert as a BOOTP relay, which I am not
> > sure is supported.  Any comments from DHCP experts?

---

From: Basavaraj Patil <[email-masked]>
Date: Wed, 17 May 2000 23:30:13 -0500

>home network. All that is required is that the routers act as DHCP
>relay agents so that the DHCP DISCOVER message reaches the DHCP server.
>

Alim,

If it is a colocated COA that the MN wants when in a foreign network,
then you could use DHCP and the DISCOVER message would get to some
local DHCP server. This would work.
However the discussion in the thread below was the scenario where a MN
does not have a permanently assigned IP address by it's home network
and needs to get one at registration.
If your question was on the same lines as the thread below then there
is definitely an issue.

-Basavaraj

---

From: "Mohammad, Alimuddin" <[email-masked]>
Date: Thu, 18 May 2000 16:56:47 -0700

A DHCP server can be forced to assign the same IP address to a client by using DHCP reservations.
Using DHCP reservations has no basic functional difference  from statically assigning a client
an IP address. However, using DHCP reservations allows an admin. to have a central point
of reference for all IP allocations in the organization i.e., a complete list of active reservations
is available in one location.

---Alim

-----Original Message-----
From: David Frascone [mailto:[email-masked]]
Sent: Tuesday, May 16, 2000 7:44 PM
To: Mohammad, Alimuddin
Subject: Re: [MOBILE-IP] Dynamic Address Assignment in Mobile IP

Assuming the mobile node is in the foreign state, how would the DHCP server
listening on the foreign network be able to allocate an address on the
mobile node's home network?

That's why most agree that DHCP could be used for address pool management
for the HA, but would not really be usable by the MN.

On Tue, May 16, 2000 at 05:08:35PM -0700, Mohammad, Alimuddin wrote:
> home network. All that is required is that the routers act as DHCP relay agents
> so that the DHCP DISCOVER message reaches the DHCP server.
>